package lc.mecha.event;

import lc.mecha.lang.MapOfSets;

import java.util.Set;

/**
 * This class implements an EO event stack using lazy-allocation.
 *
 * @author Alex Leigh
 * @since mk11 (ZERO CONTRAST)
 */
class EventListenerBinder extends MapOfSets<EventListener> {
    public void addEventListener(final String eventType, final EventListener listener) {
        final Set<EventListener> set = getOrCreateSet(eventType);
        set.add(listener);
    }
}
